#include <iostream>
#include "Character.h"
#include "lib/errorcodes.h"

using namespace std;

int main()
{
	int retval;
	
	Character *Player = new Character();

	retval = Player->setCharacterName("Brutus");
	if (retval != NO_ERROR)
	{
		switch (retval)
		{
			case CHARACTER_NAME_TOO_LONG:
				cout << "Max. 15 Zeichen";
		}
	}

	cout << Player->getCharacterName() << endl;

	Player->gainExperience(10);
	cout << Player->getExperience() << endl;
    Player->gainExperience(29);
    Player->gainExperience(29);
    Player->gainExperience(40);
    Player->gainExperience(70);
	
    cout << Player->getExperience() << endl;

	Player->looseExperience(50);

	cout << Player->getExperience() << endl;

	return 0;
}
